Searching for Updated Article's Metadata GET

The Dynamic Health API GET /v1/content/articles endpoint returns metadata for articles published within a specified date range. The updatedAt timestamp is not necessarily related to editors updating the article with new information. The timestamp may represent the last time the article was reprocessed for delivery. lastRevisedSince and lastRevisedBefore will narrow the search to when editorial changes were made. Use the lastRevisedSince and lastRevisedBefore to get the last time the article was edited.

Basic Search for Article Metadata

To Get Article Metadata for Updated Articles (example):

Gather the following information for the request:

  • An access token. Please see Using the Client Credentials Grant for further information.
  • The dates to retrieve (optional).
    • use updatedSince and updatedBefore - to get last published or republished articles
    • use lastRevisedSince and lastRevisedBefore - to get editorial chanes to the article
  • The page number to retrieve (optional).
  • Whether to include deleted article metadata (optional, defaults to false)
  • Whether to only return updated learning content articles.

Request

GET https://apis.ebsco.com/medsapi-dynamic-health/v1/content/articles?updatedSince=2022-09-14

The request above is for articles that have been republished since September 14, 2022.

Response

{
  "_metadata": {
    "totalItems": 711,
    "totalPages": 8,
    "page": 1,
    "links": [
      {
        "rel": "self",
        "href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/articles?updatedSince=2022-09-14T18:21:54.345Z&page=1"
      },
      {
        "rel": "next",
        "href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/articles?updatedSince=2022-09-14T18:21:54.345Z&page=2"
      },
      {
        "rel": "last",
        "href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/articles?updatedSince=2022-09-14T18:21:54.345Z&page=8"
      }
    ]
  },
  "items": [
    {
       "id": "t1597457396038",
            "title": "Acute Pancreatitis",
            "product": {
                "code": "dh",
                "title": "Dynamic Health"
            },
            "pubType": {
                "id": "diseasecondition"
            },
            "slug": "/diseases-and-conditions/acute-pancreatitis",
            "updatedAt": "2026-07-20T21:05:15",
            "description": "Acute inflammation of the pancreas"
    },
    ...
  ]
} 

Request Parameters

NameDescription
pageThe next page of items to return. Does not need to be specified on the first request.
updatedSinceAn ISO 8601 date. An example date is 2021-12-17T22:50:42.511Z or 2021-12-17. Time does not need to be specified and will be assumed as midnight on the day requests. Articles starting at that date will be returned.
updatedBeforeAn ISO 8601 date. Time does not need to be specified and will be assumed as midnight on the day requests. Articles ending on that date will be returned.
includeDeletedA boolean to request deleted articles's metadata whe set to true. The default is false.
withLearningContentOnlyWhen true, return only articles that are learning content. When false or omitted (default), articles are not filtered by learning content.
lastRevisedSinceReturn only articles last revised on or after this date. Must be formatted in ISO_8601 standards (YYYY-MM-DD). Only supported for dhe and rc; returns 400 for other products.
lastRevisedBeforeReturn only articles last revised on or before this date. Must be formatted in ISO_8601 standards (YYYY-MM-DD). Only supported for dhe and rc; returns 400 for other products.

The updatedAt parameter indicates the last time the page was published or republished. If neither updatedSince nor updatedBefore are provided, all updates are returned. If no updatedBefore is supplied, then all dates from the updateSince until today's date are returned. If no updatedSince is provided, then all dates up to the updatedBefore are returned. lastRevised dates are when the editor last made modifications to the article.

Paging

Up to 100 items may be returned in a request. If more than 100 are returned, the totalItems indicates how many items there are to retrieve. The page parameter in the response indicates the page returned. To get the next page of items, add one to the page. Each page has 100 items.

Error Response Codes

The DynaMed article metadata endpoint can return one of the error response codes.


Did this page help you?